PETSc version 3.15.5
Fix/Edit manual page

# PetscLayoutFindOwnerIndex

Find the owning rank and the local index for a global index

### Synopsis

    #include "petscis.h"
    PETSC_STATIC_INLINE PetscErrorCode PetscLayoutFindOwnerIndex(PetscLayout map,PetscInt idx,PetscMPIInt *owner,PetscInt *lidx)

Not Collective

### Input Parameters

| map | - the layout
| idx | - global index to find the owner of

### Output Parameter

| owner | - the owning rank
| lidx | - local index used by the owner for idx

### Fortran Notes

Not available from Fortran

### Level

developer

### Location

src/vec/is/is/../../../../include/petscis.h
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages